GET /organizations/{organizationId}/devices/uplinks/addresses/byDevice
Operation ID: getOrganizationDevicesUplinksAddressesByDevice
Auth: unknown
Description
List the current uplink addresses for devices in an organization.
Parameters (9)
(string, query, optional)
A token used by the server to indicate the end of the page. Often this is a timestamp or an ID but it is not limited to those. This parameter should not be defined by client applications. The link for the first, last, prev, or next page in the HTTP Link header should define it.
(array, query, optional)
Optional parameter to filter device uplinks by network ID. This filter uses multiple exact matches.
(string, path, required)
(integer, query, optional)
The number of entries per page returned. Acceptable range is 3 - 1000. Default is 1000.
(array, query, optional)
Optional parameter to filter device uplinks by device product types. This filter uses multiple exact matches.
(array, query, optional)
Optional parameter to filter device availabilities by device serial numbers. This filter uses multiple exact matches.
(string, query, optional)
A token used by the server to indicate the start of the page. Often this is a timestamp or an ID but it is not limited to those. This parameter should not be defined by client applications. The link for the first, last, prev, or next page in the HTTP Link header should define it.
(array, query, optional)
An optional parameter to filter devices by tags. The filtering is case-sensitive. If tags are included, 'tagsFilterType' should also be included (see below). This filter uses multiple exact matches.
(string, query, optional)
An optional parameter of value 'withAnyTags' or 'withAllTags' to indicate whether to return devices which contain ANY or ALL of the included tags. If no type is included, 'withAnyTags' will be selected.
Constraints: {'enum': ['withAllTags', 'withAnyTags']}
No probe data for this endpoint yet.